Bug 197909 - Include a local copy of the FAQ along with the release notes
Include a local copy of the FAQ along with the release notes
Status: CLOSED RAWHIDE
Product: Fedora Documentation
Classification: Fedora
Component: release-notes (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Release Notes Tracker
Karsten Wade
:
Depends On:
Blocks: fc-relnotes-traqr
  Show dependency treegraph
 
Reported: 2006-07-07 01:43 EDT by Rahul Sundaram
Modified: 2013-03-13 01:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-11 22:00:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2006-07-07 01:43:12 EDT
Description of problem:

We have a fairly comprehensive FAQ in http://fedoraproject.org/wiki/FAQ

Actual results:

Link to FAQ but no local copy

Expected results:

Include a local copy linked from the release notes prominently
Comment 1 Karsten Wade 2006-07-26 12:37:21 EDT
Let's get this converted to XML and have PO files available in advance of test3.

We'll need to do an update as we get closer, but hopefully it will still be much
easier for tranlators.

If we get the PO included in RELEASE-NOTES.po, then we can have the translated
XML output to a separate file that sits in fedora-release-note.  I'd like to
have the FAQ linked from the left nav here:

/usr/share/doc/HTML/index.html

... rather than buried at the bottom of the release notes and only findable from
the ToC.
Comment 2 Paul W. Frields 2006-09-10 18:15:46 EDT
One of the contributors is working on a new index.html page which will
prominently link to the FAQ.
Comment 3 Karsten Wade 2006-09-23 15:07:39 EDT
Moving this to block the relnotes tracker but not the FC6 relnotes, as we have
done what we can for FC6.
Comment 4 Karsten Wade 2007-02-10 12:33:50 EST
OK, back to the beginning then ... we have a link to the FAQ but the content is
not local to the install.  The original comment was that we need this
information available during installation time to answer installation related
FAQs, for people who cannot/do not have a system networked to the online version
of the FAQ.

The other school of thought contended that any content in the FAQ that is needed
during installation belongs in the release notes.

Can we do this?

1. Write up _all_ installation FAQs into directions in Docs/Beats/Installer
2. Pull this content directly into the FAQ with an [[Include()]]

Then we get to write and maintain one location.
Comment 5 Paul W. Frields 2007-02-10 15:31:53 EST
Any information truly *needed* during installation needs to be in the Release
Notes.  If it's needed to fix an installation bug (cf. FC6 bug with i586 kernel
installation), there's no way we can have that frozen for release anyway, a
chicken-and-egg problem.  A link to the FAQ suffices, and your strategy is the
right one -- put notes in the Installer beat, and use for online FAQ as needed.
Comment 6 Karsten Wade 2007-02-11 22:00:00 EST
OK, there is now a link at the top of Docs/Beats/Installer that points at the
wiki/FAQ and wiki/Bugs/Common.
Comment 7 Karsten Wade 2007-02-11 22:02:37 EST
Agreeing with comment #5 ... so I put a link at the top of Docs/Beats/Installers
to point at wiki/FAQ and wiki/Bugs/Common (a more generic bug path to #REDIRECT
from).

Note You need to log in before you can comment on or make changes to this bug.